package com.codenetworkz.blog.services;

import com.codenetworkz.blog.models.Role;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.Optional;

public interface RoleService {

    Optional<Role> save(String roleName);
    Optional<Role> delete(Long roleId);
    Optional<Role> update(Long roleId, String roleName);
    Optional<Role> findByRole(String role);
    public Page<Role> findAll(Pageable pageable) ;
    Optional<Role> deActive(String roleId);
}
